
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>mybatis系列-05-SqlMapConfig.xml详解 / 憋错料</title>

    <meta name="description" content="mybatis系列-05-SqlMapConfig.xml详解 mybatis的全局配置文件SqlMapConfig.xml,配置内容如下: properties(属性) settings(全局配置参数) typeAliases(类型别名) typeHandlers(类型处理器) objectFactory(对象工厂) plugins(插件) environments(环境集合属性对象) environment(环境子属性对象) transactionManager(事务管理) dataSource(数据源) mappers(映射器) 5.1     pro">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">mybatis系列-05-SqlMapConfig.xml详解</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>mybatis的全局配置文件SqlMapConfig.xml，配置内容如下：</p>
<p>properties（属性）</p>
<p>settings（全局配置参数）</p>
<p>typeAliases（类型别名）</p>
<p>typeHandlers（类型处理器）</p>
<p>objectFactory（对象工厂）</p>
<p>plugins（插件）</p>
<p>environments（环境集合属性对象）</p>
<p>environment（环境子属性对象）</p>
<p>transactionManager（事务管理）</p>
<p>dataSource（数据源）</p>
<p>mappers（映射器）</p>
<h2>5.1 &nbsp; &nbsp; properties属性</h2>
<p>需求：</p>
<p>将数据库连接参数单独配置在db.properties中，只需要在SqlMapConfig.xml中加载db.properties的属性值。</p>
<p>在SqlMapConfig.xml中就不需要对数据库连接参数硬编码。</p>
<p>将数据库连接参数只配置在db.properties中，原因：方便对参数进行统一管理，其它xml可以引用该db.properties。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzY3NjY0MC8yMDE2MDUvNjc2NjQwLTIwMTYwNTI2MTk0NjM2OTQ0LTIwNDM2NjIxODEucG5n.jpg" /></p>
<p>在sqlMapConfig.xml加载属性文件：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzY3NjY0MC8yMDE2MDUvNjc2NjQwLTIwMTYwNTI2MTk0NjU1MTk0LTI3NTgzMTMzOS5wbmc=.jpg" /></p>
<p>properties特性：</p>
<p>注意： MyBatis 将按照下面的顺序来加载属性：</p>
<ul>
<li>在 properties 元素体内定义的属性首先被读取。</li>
<li>然后会读取properties 元素中resource或 url 加载的属性，它会覆盖已读取的同名属性。</li>
<li>最后读取parameterType传递的属性，它会覆盖已读取的同名属性。</li>
</ul>
<p>建议：</p>
<p>不要在properties元素体内添加任何属性值，只将属性值定义在properties文件中。</p>
<p>在properties文件中定义属性名要有一定的特殊性，如：XXXXX.XXXXX.XXXX</p>
<h2>5.2&nbsp;&nbsp;&nbsp;&nbsp; settings全局参数配置</h2>
<p>&lt;!-- 全局配置参数，需要时再设置 --&gt;</p>
<p>&lt;!-- &lt;settings&gt;</p>
<p>&lt;/settings&gt; --&gt;</p>
<p>mybatis框架在运行时可以调整一些运行参数。</p>
<p>比如：开启二级缓存、开启延迟加载。。</p>
<p>全局参数将会影响mybatis的运行行为。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzY3NjY0MC8yMDE2MDUvNjc2NjQwLTIwMTYwNTI2MTk0ODE1ODE5LTIwMDIxODUwMzYucG5n.jpg" /></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzY3NjY0MC8yMDE2MDUvNjc2NjQwLTIwMTYwNTI2MTk0ODI2NzI1LTQzMzIxMTQzNC5wbmc=.jpg" /></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzY3NjY0MC8yMDE2MDUvNjc2NjQwLTIwMTYwNTI2MTk0ODM0NTA2LTM2ODQ4NzMwMi5wbmc=.jpg" /></p>
<h2>5.3&nbsp;&nbsp;&nbsp;&nbsp; typeAliases（别名）重点</h2>
<h3>5.3.1&nbsp;&nbsp;&nbsp;&nbsp; 需求</h3>
<p>在mapper.xml中，定义很多的statement，statement需要parameterType指定输入参数的类型、需要resultType指定输出结果的映射类型。</p>
<p>如果在指定类型时输入类型全路径，不方便进行开发，可以针对parameterType或resultType指定的类型定义一些别名，在mapper.xml中通过别名定义，方便开发。</p>
<h3>5.3.2&nbsp;&nbsp;&nbsp;&nbsp; mybatis默认支持别名</h3>
<table>
<tbody>
<tr>
<td>
<br />别名</p>
</td>
<td>
<br />映射的类型</p>
</td>
</tr>
<tr>
<td>
<br />_byte</p>
</td>
<td>
<br />byte</p>
</td>
</tr>
<tr>
<td>
<br />_long</p>
</td>
<td>
<br />long</p>
</td>
</tr>
<tr>
<td>
<br />_short</p>
</td>
<td>
<br />short</p>
</td>
</tr>
<tr>
<td>
<br />_int</p>
</td>
<td>
<br />int</p>
</td>
</tr>
<tr>
<td>
<br />_integer</p>
</td>
<td>
<br />int</p>
</td>
</tr>
<tr>
<td>
<br />_double</p>
</td>
<td>
<br />double</p>
</td>
</tr>
<tr>
<td>
<br />_float</p>
</td>
<td>
<br />float</p>
</td>
</tr>
<tr>
<td>
<br />_boolean</p>
</td>
<td>
<br />boolean</p>
</td>
</tr>
<tr>
<td>
<br />string</p>
</td>
<td>
<br />String</p>
</td>
</tr>
<tr>
<td>
<br />byte</p>
</td>
<td>
<br />Byte</p>
</td>
</tr>
<tr>
<td>
<br />long</p>
</td>
<td>
<br />Long</p>
</td>
</tr>
<tr>
<td>
<br />short</p>
</td>
<td>
<br />Short</p>
</td>
</tr>
<tr>
<td>
<br />int</p>
</td>
<td>
<br />Integer</p>
</td>
</tr>
<tr>
<td>
<br />integer</p>
</td>
<td>
<br />Integer</p>
</td>
</tr>
<tr>
<td>
<br />double</p>
</td>
<td>
<br />Double</p>
</td>
</tr>
<tr>
<td>
<br />float</p>
</td>
<td>
<br />Float</p>
</td>
</tr>
<tr>
<td>
<br />boolean</p>
</td>
<td>
<br />Boolean</p>
</td>
</tr>
<tr>
<td>
<br />date</p>
</td>
<td>
<br />Date</p>
</td>
</tr>
<tr>
<td>
<br />decimal</p>
</td>
<td>
<br />BigDecimal</p>
</td>
</tr>
<tr>
<td>
<br />bigdecimal</p>
</td>
<td>
<br />BigDecimal</p>
</td>
</tr>
</tbody>
</table>
<h3>5.3.3&nbsp;&nbsp;&nbsp;&nbsp; 自定义别名</h3>
<h4>5.3.3.1&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 单个别名定义</h4>
<p>SqlMapConfig.xml中：</p>
<pre>   &lt;!-- 别名定义 --&gt;
   &lt;typeAliases&gt;
      &lt;!-- 针对单个别名定义
      type：类型的路径
      alias：别名
       --&gt;
      &lt;typeAlias type="cn.itcast.mybatis.po.User" alias="user"/&gt;
   &lt;/typeAliases&gt;</pre>
<p>UserMapper.xml中引用别名：</p>
<pre>   &lt;select id="findUserByUsername" parameterType="java.lang.String" resultType="user"&gt;
      SELECT * FROM USER WHERE username LIKE ‘%${value}%‘
   &lt;/select&gt;</pre>

<h4>5.3.3.2&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 批量别名定义</h4>

<pre> &lt;!-- 别名定义 --&gt;
   &lt;typeAliases&gt;
      &lt;!-- 批量别名定义
      指定包名，mybatis自动扫描包中的po类，自动定义别名，别名就是类名（首字母大写或小写都可以）
      --&gt;
      &lt;package name="cn.itcast.mybatis.po"/&gt;
   &lt;/typeAliases&gt;</pre>

<h2>5.4&nbsp;&nbsp;&nbsp;&nbsp; typeHandlers（类型处理器）</h2>
<p>mybatis中通过typeHandlers完成jdbc类型和java类型的转换。</p>
<p>通常情况下，mybatis提供的类型处理器满足日常需要，不需要自定义.</p>
<p>mybatis支持类型处理器：</p>
<table>
<tbody>
<tr>
<td>
<br />类型处理器</p>
</td>
<td>
<br /><strong>Java</strong>类型</p>
</td>
<td>
<br /><strong>JDBC</strong>类型</p>
</td>
</tr>
<tr>
<td>
<br />BooleanTypeHandler</p>
</td>
<td>
<br />Boolean，boolean</p>
</td>
<td>
<br />任何兼容的布尔值</p>
</td>
</tr>
<tr>
<td>
<br />ByteTypeHandler</p>
</td>
<td>
<br />Byte，byte</p>
</td>
<td>
<br />任何兼容的数字或字节类型</p>
</td>
</tr>
<tr>
<td>
<br />ShortTypeHandler</p>
</td>
<td>
<br />Short，short</p>
</td>
<td>
<br />任何兼容的数字或短整型</p>
</td>
</tr>
<tr>
<td>
<br />IntegerTypeHandler</p>
</td>
<td>
<br />Integer，int</p>
</td>
<td>
<br />任何兼容的数字和整型</p>
</td>
</tr>
<tr>
<td>
<br />LongTypeHandler</p>
</td>
<td>
<br />Long，long</p>
</td>
<td>
<br />任何兼容的数字或长整型</p>
</td>
</tr>
<tr>
<td>
<br />FloatTypeHandler</p>
</td>
<td>
<br />Float，float</p>
</td>
<td>
<br />任何兼容的数字或单精度浮点型</p>
</td>
</tr>
<tr>
<td>
<br />DoubleTypeHandler</p>
</td>
<td>
<br />Double，double</p>
</td>
<td>
<br />任何兼容的数字或双精度浮点型</p>
</td>
</tr>
<tr>
<td>
<br />BigDecimalTypeHandler</p>
</td>
<td>
<br />BigDecimal</p>
</td>
<td>
<br />任何兼容的数字或十进制小数类型</p>
</td>
</tr>
<tr>
<td>
<br />StringTypeHandler</p>
</td>
<td>
<br />String</p>
</td>
<td>
<br />CHAR和VARCHAR类型</p>
</td>
</tr>
<tr>
<td>
<br />ClobTypeHandler</p>
</td>
<td>
<br />String</p>
</td>
<td>
<br />CLOB和LONGVARCHAR类型</p>
</td>
</tr>
<tr>
<td>
<br />NStringTypeHandler</p>
</td>
<td>
<br />String</p>
</td>
<td>
<br />NVARCHAR和NCHAR类型</p>
</td>
</tr>
<tr>
<td>
<br />NClobTypeHandler</p>
</td>
<td>
<br />String</p>
</td>
<td>
<br />NCLOB类型</p>
</td>
</tr>
<tr>
<td>
<br />ByteArrayTypeHandler</p>
</td>
<td>
<br />byte[]</p>
</td>
<td>
<br />任何兼容的字节流类型</p>
</td>
</tr>
<tr>
<td>
<br />BlobTypeHandler</p>
</td>
<td>
<br />byte[]</p>
</td>
<td>
<br />BLOB和LONGVARBINARY类型</p>
</td>
</tr>
<tr>
<td>
<br />DateTypeHandler</p>
</td>
<td>
<br />Date（java.util）</p>
</td>
<td>
<br />TIMESTAMP类型</p>
</td>
</tr>
<tr>
<td>
<br />DateOnlyTypeHandler</p>
</td>
<td>
<br />Date（java.util）</p>
</td>
<td>
<br />DATE类型</p>
</td>
</tr>
<tr>
<td>
<br />TimeOnlyTypeHandler</p>
</td>
<td>
<br />Date（java.util）</p>
</td>
<td>
<br />TIME类型</p>
</td>
</tr>
<tr>
<td>
<br />SqlTimestampTypeHandler</p>
</td>
<td>
<br />Timestamp（java.sql）</p>
</td>
<td>
<br />TIMESTAMP类型</p>
</td>
</tr>
<tr>
<td>
<br />SqlDateTypeHandler</p>
</td>
<td>
<br />Date（java.sql）</p>
</td>
<td>
<br />DATE类型</p>
</td>
</tr>
<tr>
<td>
<br />SqlTimeTypeHandler</p>
</td>
<td>
<br />Time（java.sql）</p>
</td>
<td>
<br />TIME类型</p>
</td>
</tr>
<tr>
<td>
<br />ObjectTypeHandler</p>
</td>
<td>
<br />任意</p>
</td>
<td>
<br />其他或未指定类型</p>
</td>
</tr>
<tr>
<td>
<br />EnumTypeHandler</p>
</td>
<td>
<br />Enumeration类型</p>
</td>
<td>
<br />VARCHAR-任何兼容的字符串类型，作为代码存储（而不是索引）。</p>
</td>
</tr>
</tbody>
</table>
<h2>5.5&nbsp;&nbsp;&nbsp;&nbsp; mappers（映射配置）</h2>
<h3>5.5.1&nbsp;&nbsp;&nbsp;&nbsp; 通过resource加载单个映射文件</h3>

<pre>   &lt;mappers&gt;
      &lt;mapper resource="UserMapper.xml" /&gt;
   &lt;/mappers&gt;</pre>

<h3>5.5.2&nbsp;&nbsp;&nbsp;&nbsp; 通过mapper接口加载单个mapper</h3>

<pre>   &lt;mappers&gt;
      &lt;!-- 通过mapper接口加载单个 映射文件
      遵循一些规范：需要将mapper接口类名和mapper.xml映射文件名称保持一致，且在一个目录 中
      上边规范的前提是：使用的是mapper代理方法
       --&gt;
      &lt;mapper class="cn.itcast.mybatis.mapper.UserMapper"/&gt;
   &lt;/mappers&gt;</pre>
<p>按照上边的规范，将mapper.java和mapper.xml放在一个目录 ，且同名。</p>
<h3>5.5.3&nbsp;&nbsp;&nbsp;&nbsp; 批量加载mapper(推荐使用)</h3>

<pre>   &lt;mappers&gt;
      &lt;!-- 批量加载mapper
      指定mapper接口的包名，mybatis自动扫描包下边所有mapper接口进行加载
      遵循一些规范：需要将mapper接口类名和mapper.xml映射文件名称保持一致，且在一个目录 中
      上边规范的前提是：使用的是mapper代理方法
       --&gt;
      &lt;package name="cn.itcast.mybatis.mapper"/&gt;
   &lt;/mappers&gt;</pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 15:28:38 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>mybatis系列-05-SqlMapConfig.xml详解的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mz8DEl3.html" rel="bookmark">五 mybatis的SqlMapConfig&period;xml详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SqlMapConfig.xml 1 &lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot; ?&gt; 2 &lt;!DOCTYPE configuration 3 PUBLIC &quot;-//mybatis.org//DTD Config 3.0//EN&quot; 4 &quot;http://mybatis.org/dtd/mybatis-3-config.dtd&quot;&gt; 5 &lt;configuration&gt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MBW5Bq0.html" rel="bookmark">2、MyBatis系列：全局配置文件详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MyBatis 全局映射配置文件 MyBatis 的配置文档的顶层结构如下: configuration 配置 properties 属性 settings 设置 typeAliases 类型命名 typeHandlers 类型处理器 objectFactory 对象工厂 plugins 插件 environments 环境 databaseIdProvider 数据库厂商标识 environment 环境变量 transactionManager 事务管理器 dataSource 数据源 ma			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVzNEpM.html" rel="bookmark">协议学习之 vamei博客系列 05 IP协议详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				作者:Vamei 出处:http://www.cnblogs.com/vamei 欢迎转载,也请保留这段声明.谢谢! 在粗略了解了IP接力和IP地址后,我们再反过来,看一看IP协议的具体细节和设计哲学. IPv4与IPv6头部的对比 我们已经在IP接力中介绍过,一个IP包分为头部(header)和数据(payload/data)两部分.头部是为了实现IP通信必须的附加信息,数据是IP通信所要传送的信息. 黄色区域 (同名区域) 我们看到,三个黄色区域跨越了IPv4和IPv6.Version(4位			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3qAOqD3.html" rel="bookmark">《深入理解mybatis原理6》 MyBatis的一级缓存实现详解 及使用注意事项</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;深入理解mybatis原理&gt; MyBatis的一级缓存实现详解 及使用注意事项 0.写在前面   MyBatis是一个简单,小巧但功能非常强大的ORM开源框架,它的功能强大也体现在它的缓存机制上.MyBatis提供了一级缓存.二级缓存 这两个缓存机制,能够很好地处理和维护缓存,以提高系统的性能.本文的目的则是向读者详细介绍MyBatis的一级缓存,深入源码,解析MyBatis一级缓存的实现原理,并且针对一级缓存的特点提出了在实际使用过程中应该注意的事项. 读完本文,你将会学到: 1.什么是一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPNmVP3.html" rel="bookmark">Ant之build&period;xml详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Ant的概念 可能有些读者并不连接什么是Ant以及入可使用它,但只要使用通过Linux系统得读者,应该知道make这个命令.当编译Linux内核及一些软件的源程序时,经常要用这个命令.Make命令其实就是一个项目管理工具,而Ant所实现功能与此类似.像make,gnumake和nmake这些编译工具都有一定的缺陷,但是Ant却克服了这些工具的缺陷.最初Ant开发者在开发跨平台的应用时,用样也是基于这些缺陷对Ant做了更好的设计. Ant 与 makefile Makefile有一些不足之处,比如			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3O7W6g3.html" rel="bookmark">Tomcat主配置文件Server&period;xml详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Tomcat主配置文件Server.xml详解 1.软件版本 [[email protected] META-INF]# java -version java version &quot;1.8.0_60&quot; Java(TM) SE Runtime Environment (build 1.8.0_60-b27) Java HotSpot(TM) 64-Bit Server VM (build 25.60-b23, mixed mode) 2.server.xml组件类别 顶级组件:位于整个配置的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVzOlyM.html" rel="bookmark">JavaEE学习之Maven配置文件pom&period;xml详解&lpar;转）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.引言 (本文转载自:http://blog.csdn.net/longeremmy/article/details/9670619) 使用maven有一些时间了,一直没有好好将pom配置文件每个节点的意义好好了解一番.今天突然想来了解下:pom- project object model 项目对象模型.顾名思义,他是用来描述项目信息的,以及构建方式,依赖等.网上有一篇文章写的很详细,这里就借用一下,以备日后使用. 二.详解 1 &lt;project xmlns=&quot;http://maven.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPwqmz4.html" rel="bookmark">OAF&lowbar;OAF EO系列增删改 - Delete详解和实现（案例）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2014-06-14 BaoXinjian 一.摘要 在OAF中,似乎不是根据你光标所在的行来删除对应的记录,而是根据记录指针来删除,而这个指针又与你的光标位置无关需要用代码来精确的定位.因此我们在删除记录时,需要编写一定的代码来实现. User’s Guide中提供了一种标准的删除方法,通过在在当前记录集中用指针进行循环来定位需要删除的记录(例子提供的是只删一条). 不管如何删除,总的实现思路如下: Step1. 首先给需要删除的记录做标记:  要么打勾选上,要么在行上放个图标按钮来点火,总之			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41zVLGM.html" rel="bookmark">Mybatis学习（3）关于mybatis全局配置文件SqlMapConfig&period;xml</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				比如针对我这个项目的mybatis全局配置文件SqlMapConfig.xml做一些说明: &lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot; ?&gt; &lt;!DOCTYPE configuration PUBLIC &quot;-//mybatis.org//DTD Config 3.0//EN&quot; &quot;http://mybatis.org/dtd/mybatis-3-config.dtd&quot;&gt; &l			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3OZ2mK0.html" rel="bookmark">Web&period;xml详解&lpar;转&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这篇文章主要是综合网上关于web.xml的一些介绍,希望对大家有所帮助,也欢迎大家一起讨论. ---题记 一.            Web.xml详解: (一)  web.xml加载过程(步骤) 首先简单说一下,web.xml的加载过程. 当我们去启动一个WEB项目时,容器包括(JBoss.Tomcat等)首先会读取项目web.xml配置文件里的配置,当这一步骤没有出错并且完成之后,项目才能正常地被启动起来. l  启动WEB项目的时候,容器首先会去它的配置文件web.xml读取两个节点: 			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JDZ7D0.html" rel="bookmark" class="title">LeetCode Department Top Three Salaries</a>
					<div>
						The Employee table holds all employees. Every employee has an Id, and there is also a column for the ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JDEn90.html" rel="bookmark" class="title">HDU 4812 D Tree 树分治&plus;逆元&plus;hash新姿势</a>
					<div>
						题意: 给定n个点的树 K 下面n个数是点权 下面n-1行给出树边. 问: 是否存在一条路径使得路径上点权积 % mod  = K 若存在则输出路径的两端. 若存在多条路径则输出字典序最小的一条. 思 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02bzLa0.html" rel="bookmark" class="title">Node&period;js事件</a>
					<div>
						const EventEmitter = require('events'); class MyEmitter extends EventEmitter {} const myev = new MyE ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lrN1L4.html" rel="bookmark" class="title">手机页面滚动到底部刷新数据</a>
					<div>
						1 //滚动到底部加载数据 2 $(window).scroll(function () { 3 var scrollTop = $(this).scrollTop(); 4 var elementH ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rEqK70.html" rel="bookmark" class="title">android项目 之 记事本（12） ----- 图片的等比例缩放及给图片添加边框</a>
					<div>
						本文是自己学习所做笔记,欢迎转载,但请注明出处:http://blog.csdn.net/jesson20121020 在Android的UI开发中经常会遇到图片的缩放,就比如记事本,现在的图片都比较 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YXdROM.html" rel="bookmark" class="title">redis绑定多个监听ip或者取消绑定</a>
					<div>
						如果系统某个端口6379绑定监听ip127.0.0.1,则该端口只会通过来自这个ip的连接请求,拒绝非监听ip主机的连接. telnet 10.10.86.211 9000Trying 10.10.8 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NqNg63.html" rel="bookmark" class="title">Puppet基于Master&sol;Agent模式实现LNMP平台部署</a>
					<div>
						前言 随着IT行业的迅猛发展,传统的运维方式靠大量人力比较吃力,运维人员面对日益增长的服务器和运维工作,不得不把很多重复的.繁琐的工作利用自动化处理.前期我们介绍了运维自动化工具ansible的简单应 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWD6yr0.html" rel="bookmark" class="title">js实现购物车&lpar;源码&rpar;</a>
					<div>
						首先是页面布局html+css部分 &lt;!doctype html&gt;&lt;html lang=&quot;en&quot;&gt; &lt;head&gt;  &lt;meta chars ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41wynq0.html" rel="bookmark" class="title">NetSuite Chinese Finance Reports</a>
					<div>
						NetSuite has a strong report customization application. The standard finance reports has a different ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qG25aM.html" rel="bookmark" class="title">extern &amp;ldquo&semi;C&amp;rdquo&semi;调用测试与验证-2015&period;01&period;06</a>
					<div>
						1 调用情形说明 在上一篇关于extern &quot;c&quot;原理以及用法中,详细的说明了为什么需要extern &quot;c&quot;以及如何使用它解决c与c++混合编程时遇到的问题.接 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzkaEd0.html" rel="bookmark" class="title">java中replaceAll反斜杠&bsol;</a>
					<div>
						java中replaceAll反斜杠\ String s=new String(&quot;this is a \\&quot;); s.replaceAll(&quot;\\&quot;,&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3Opk5o4.html" rel="bookmark" class="title">省市级关联</a>
					<div>
						需求:在两个下拉框,第一个是省份,第二个是市,选择省份,自动获取省份所在的市.(ajax技术) ajax:通过在后台与服务器进行少量数据交换,AJAX 可以使网页实现异步更新.这意味着可以在不重新加载 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rPgrlM.html" rel="bookmark" class="title">【DNS服务】</a>
					<div>
						************************************** ************** DNS服务 ****************** ********************* ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49lv7A3.html" rel="bookmark" class="title">折腾了很久，事情很多，静下心来学习吧</a>
					<div>
						人越长大事情越多,也越难越静下心来去学习了.好久没学习了,2015年转眼也要过去一半了,很多事情除非你坚持才能看到成果.丢掉已经放弃的很多东西,静下心来好好学习吧.人都是嘴上说说容易,做起来却难上加难 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bLE8o4.html" rel="bookmark" class="title">新书《Linux就是这个范儿》预售</a>
					<div>
						预售地址 当当 内容简介 本书内容源自淘宝技术大学的培训实战.由来自阿里巴巴集团的资深Linux系统专家赵鑫磊和同样来自阿里巴巴集团的支付宝网络技术有限公司的高级专家Jie Zhang(张洁)共同著写 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OQ287M.html" rel="bookmark" class="title">点击弹出UIMenuController</a>
					<div>
						iOS SDK 提供了一个名为UIMenuController的类,用来显示菜单项.UIMenuController对象可以包含一组 UIMenuItem对象(菜单项),并能在现有的视图上显示这些UI ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVWdPk0.html" rel="bookmark" class="title">primace 5&period;0软件的Debug ware 功能的使用方法简介</a>
					<div>
						用primace 软件已经一年多了,一直不知道Debug ware 软件怎么使用,上周终于逮住FAE请教了下这个功能的使用方法.发现这个功能和signalTap ii 原理不一样,这个是非时事的波形, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBDo7E3.html" rel="bookmark" class="title">AndroidDrawable那些不为人知的高效用法&lpar;转载&rpar;</a>
					<div>
						AndroidDrawable那些不为人知的高效用法 转载请标明出处:http://blog.csdn.net/lmj623565791/article/details/43752383,本文出自:[ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lLKOb0.html" rel="bookmark" class="title">logrotate日志管理工具</a>
					<div>
						logrotate是一个日志文件管理工具.用来把旧文件轮转.压缩.删除,并且创建新的日志文件.我们可以根据日志文件的大小.天数等来转储,便于对日志文件管理,一般都是通过cron计划任务来完成的. 1. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLp6dWM.html" rel="bookmark" class="title">LPC1788的LCD接口驱动真彩屏</a>
					<div>
						#ifndef __LCD_H_ #define __LCD_H_ #include &quot;common.h&quot; #include &quot;debugserial.h&quot; # ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.041 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
